Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | Static Public Member Functions | Protected Types | Protected Attributes
Lucene::BitSet Class Reference

`#include <BitSet.h>`

Inheritance diagram for Lucene::BitSet:

## Public Member Functions

| BitSet (uint32_t size=0)
virtual | ~BitSet ()
virtual String | getClassName ()
boost::shared_ptr< BitSet > | shared_from_this ()
const uint64_t * | getBits ()
void | clear ()
void | clear (uint32_t bitIndex)
void | fastClear (uint32_t bitIndex)
void | clear (uint32_t fromIndex, uint32_t toIndex)
void | fastClear (uint32_t fromIndex, uint32_t toIndex)
void | set (uint32_t bitIndex)
void | fastSet (uint32_t bitIndex)
void | set (uint32_t bitIndex, bool value)
void | fastSet (uint32_t bitIndex, bool value)
void | set (uint32_t fromIndex, uint32_t toIndex)
void | fastSet (uint32_t fromIndex, uint32_t toIndex)
void | set (uint32_t fromIndex, uint32_t toIndex, bool value)
void | fastSet (uint32_t fromIndex, uint32_t toIndex, bool value)
void | flip (uint32_t bitIndex)
void | fastFlip (uint32_t bitIndex)
void | flip (uint32_t fromIndex, uint32_t toIndex)
void | fastFlip (uint32_t fromIndex, uint32_t toIndex)
uint32_t | size () const
uint32_t | numBlocks () const
bool | isEmpty () const
bool | get (uint32_t bitIndex) const
bool | fastGet (uint32_t bitIndex) const
int32_t | nextSetBit (uint32_t fromIndex) const
void | _and (BitSetPtr set)
void | _or (BitSetPtr set)
void | _xor (BitSetPtr set)
void | andNot (BitSetPtr set)
bool | intersectsBitSet (BitSetPtr set) const
uint32_t | cardinality ()
void | resize (uint32_t size)
virtual bool | equals (LuceneObjectPtr other)
| Return whether two objects are equal. More...
virtual int32_t | hashCode ()
| Return hash code for this object. More...
virtual LuceneObjectPtr | clone (LuceneObjectPtr other=LuceneObjectPtr())
| Return clone of this object. More...
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed. More...
virtual int32_t | compareTo (LuceneObjectPtr other)
| Compare two objects. More...
virtual String | toString ()
| Returns a string representation of the object. More...
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock. More...
virtual LuceneSignalPtr | getSignal ()
| Return this object signal. More...
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout. More...
virtual void | unlock ()
| Unlock this object. More...
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread. More...
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout. More...
virtual void | notifyAll ()
| Notify all threads waiting for signal. More...

## Static Public Member Functions

static String | _getClassName ()

## Protected Types

typedef boost::dynamic_bitset < uint64_t, LuceneAllocator < uint64_t > > | bitset_type

## Protected Attributes

bitset_type | bitSet

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()

## Member Typedef Documentation

typedef boost::dynamic_bitset< uint64_t, LuceneAllocator<uint64_t> > Lucene::BitSet::bitset_type

protected

## Constructor & Destructor Documentation

Lucene::BitSet::BitSet | ( | uint32_t | size = `0`) |  |

virtual Lucene::BitSet::~BitSet | ( | ) |  |

virtual

## Member Function Documentation

void Lucene::BitSet::_and | ( | BitSetPtr | set) |  |

static String Lucene::BitSet::_getClassName | ( | ) |  |

inline static

void Lucene::BitSet::_or | ( | BitSetPtr | set) |  |

void Lucene::BitSet::_xor | ( | BitSetPtr | set) |  |

void Lucene::BitSet::andNot | ( | BitSetPtr | set) |  |

uint32_t Lucene::BitSet::cardinality | ( | ) |  |

void Lucene::BitSet::clear | ( | ) |  |

void Lucene::BitSet::clear | ( | uint32_t | bitIndex) |  |

void Lucene::BitSet::clear | ( | uint32_t | fromIndex,
|  | uint32_t | toIndex
| ) |  |

virtual LuceneObjectPtr Lucene::BitSet::clone | ( | LuceneObjectPtr | other = `LuceneObjectPtr()`) |  |

virtual

Return clone of this object.

Parameters

  other | clone reference - null when called initially, then set in top virtual override.

Reimplemented from Lucene::LuceneObject.

virtual bool Lucene::BitSet::equals | ( | LuceneObjectPtr | other) |  |

virtual

Return whether two objects are equal.

Reimplemented from Lucene::LuceneObject.

void Lucene::BitSet::fastClear | ( | uint32_t | bitIndex) |  |

void Lucene::BitSet::fastClear | ( | uint32_t | fromIndex,
|  | uint32_t | toIndex
| ) |  |

void Lucene::BitSet::fastFlip | ( | uint32_t | bitIndex) |  |

void Lucene::BitSet::fastFlip | ( | uint32_t | fromIndex,
|  | uint32_t | toIndex
| ) |  |

bool Lucene::BitSet::fastGet | ( | uint32_t | bitIndex) |  | const

void Lucene::BitSet::fastSet | ( | uint32_t | bitIndex) |  |

void Lucene::BitSet::fastSet | ( | uint32_t | bitIndex,
|  | bool | value
| ) |  |

void Lucene::BitSet::fastSet | ( | uint32_t | fromIndex,
|  | uint32_t | toIndex
| ) |  |

void Lucene::BitSet::fastSet | ( | uint32_t | fromIndex,
|  | uint32_t | toIndex,
|  | bool | value
| ) |  |

void Lucene::BitSet::flip | ( | uint32_t | bitIndex) |  |

void Lucene::BitSet::flip | ( | uint32_t | fromIndex,
|  | uint32_t | toIndex
| ) |  |

bool Lucene::BitSet::get | ( | uint32_t | bitIndex) |  | const

const uint64_t* Lucene::BitSet::getBits | ( | ) |  |

virtual String Lucene::BitSet::getClassName | ( | ) |  |

inline virtual

virtual int32_t Lucene::BitSet::hashCode | ( | ) |  |

virtual

Return hash code for this object.

Reimplemented from Lucene::LuceneObject.

bool Lucene::BitSet::intersectsBitSet | ( | BitSetPtr | set) |  | const

bool Lucene::BitSet::isEmpty | ( | ) |  | const

int32_t Lucene::BitSet::nextSetBit | ( | uint32_t | fromIndex) |  | const

uint32_t Lucene::BitSet::numBlocks | ( | ) |  | const

void Lucene::BitSet::resize | ( | uint32_t | size) |  |

void Lucene::BitSet::set | ( | uint32_t | bitIndex) |  |

void Lucene::BitSet::set | ( | uint32_t | bitIndex,
|  | bool | value
| ) |  |

void Lucene::BitSet::set | ( | uint32_t | fromIndex,
|  | uint32_t | toIndex
| ) |  |

void Lucene::BitSet::set | ( | uint32_t | fromIndex,
|  | uint32_t | toIndex,
|  | bool | value
| ) |  |

boost::shared_ptr< BitSet > Lucene::BitSet::shared_from_this | ( | ) |  |

inline

uint32_t Lucene::BitSet::size | ( | ) |  | const

## Field Documentation

bitset_type Lucene::BitSet::bitSet

protected

The documentation for this class was generated from the following file:

- BitSet.h

clucene.sourceforge.net